package com.hys.app.controller.returnBack;

import com.hys.app.model.support.LogClient;
import com.hys.app.model.support.validator.annotation.Log;
import com.hys.app.service.kuaidiniao.KuaiDiNiaoService;
import com.hys.app.service.kuaidiniao.entity.PreOrderModel;
import com.hys.app.service.kuaidiniao.entity.ReturnBackBase;
import com.hys.app.service.kuaidiniao.entity.resReturnBackBase;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * OAuth2.0 授权 API
 *
 * @author 张崧
 * @since 2024-02-20
 */
@Api(tags = "OAuth2.0 授权")
@RestController
@RequestMapping("/admin/erp/kdn")
@Validated
@Slf4j
@AllArgsConstructor
public class KdnController {
    private  KuaiDiNiaoService kuaiDiNiaoService;

    @PostMapping("/returnBack")
    public resReturnBackBase kdnReturnBack(ReturnBackBase returnBackBase) {

       return kuaiDiNiaoService.kdnReturnBack(returnBackBase);
    }

    @ApiOperation(value = "快递鸟发货获取单号")
    @PostMapping("/kdShip/{orderId}")
    @Log(client = LogClient.admin, detail = "出库单[${shipDTO.id}]发货")
    public String kdShip(@PathVariable(value = "orderId") Long orderId , @RequestBody @Valid PreOrderModel preOrderModel) {
        return kuaiDiNiaoService.kdShip(preOrderModel,orderId);
    }
}
