package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.dos.GoodsDO;
import com.hys.app.model.erp.vo.GoodsVO;
import com.hys.app.model.erp.vo.ProductVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 入库单商品明细新增/编辑DTO
 *
 * @author 张崧
 * @since 2023-12-05 15:30:10
 */
@Data
public class WarehouseOutProductDTO {

    @ApiModelProperty(name = "good_id", value = "skuId")
    @NotNull(message = "skuId不能为空")
    private Long productId;

    @ApiModelProperty(name = "good_Name", value = "商品名称")
    private Long goodName;

    @ApiModelProperty(name = "out_num", value = "出库数量")
    @NotNull(message = "出库数量不能为空")
    @Min(value = 1, message = "出库数量最小为1")
    private Integer outNum;

    private GoodsVO goodsVO;


    private ProductVO productVO;

    @ApiModelProperty(name = "usable_stock", value = "可用库存")
    private Integer usableStock;

    @ApiModelProperty(name = "good_id", value = "商品id")
    private Long goodsId;

}

