package com.hys.app.model.erp.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态枚举
 *
 * @author 张崧
 * @since 2024-01-25
 */
@Getter
public enum SaleOrderStatusEnum {

    TO_BE_COMMIT("to_be_commit", "待确认"),
    TO_BE_SEND("to_be_send", "待发货"),
    SENDING("sending", "配送中"),
    TO_BE_SINGE("to_be_singe", "待签收"),
    TO_BE_AFTER_SALE("to_be_after_sale", "待售后"),
    END("end", "完成"),
    AFTER_SALE("after_sale", "售后"),
    CANCEL("cancel", "关闭"),
    SALE_AFTER_ING("SALE_AFTER_ING", "售后中"),
    SALE_AFTER_END("SALE_AFTER_END", "售后完成"),
    SALE_AFTER_CANCEL("SALE_AFTER_CANCEL", "售后关闭");

    SaleOrderStatusEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }
    public String getValue() {
        return value;
    }
    public String getLabel() {
        return label;
    }
    private final String value;

    private final String label;


}
